# Remove Background - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-remove-background

# Remove Background

POST

/

v3

/

remove-background

Remove Background

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/remove-background \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"extra": {
"response_image_type": "&#x3C;string>",
"enterprise_plan": {
"enabled": true
}
},
"image_file": "&#x3C;string>"
}
'
```

200

```
{
"image_file": "&#x3C;string>",
"image_type": "&#x3C;string>"
}
```

Automatically remove the background from images.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-extra)

extra

object

Optional extra parameters for the request.

Show properties

[​](#param-response-image-type)

response_image_type

string

The returned image type. Default is png.

Enum: `png`, `webp`, `jpeg`

[​](#param-enterprise-plan)

enterprise_plan

object

Dedicated Endpoints settings, which only take effect for users who have already subscribed to the [Dedicated Endpoints Documentation](/docs/guides/model-apis-dedicated-endpoints).

Show properties

[​](#param-enabled)

enabled

boolean

Set to true to schedule this task to use your Dedicated Endpoints’s dedicated resources. Default is false.

[​](#param-image-file)

image_file

string

required

The base64 original image, with a maximum resolution of 16M and a maximum file size of 30 Mb. Supports PNG and JPEG format images.

##

[​](#response)

Response

[​](#param-image-file-1)

image_file

string

The Base64-encoded content of the returned image.

[​](#param-image-type)

image_type

string

The returned image type.

Enum: `png`, `webp`, `jpeg`

##

[​](#example)

Example

This API automatically removes the background from images.
Try it in the [playground](https://novita.ai/playground#remove-background).
`Request:`

```
curl --location --request POST 'https://api.novita.ai/v3/remove-background' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_file":"{{Base64 encoded image}}"
}'
```

HTTP status codes in the 2xx range indicate that the request has been successfully accepted. A code of 400 means there is an error with the request parameters, while status codes in the 5xx range indicate internal server errors.
You can obtain the image URL in the `image_file` field of the response in base64 format.
`Response:`

```
{
"image_file": "{{Base64 encoded image}}",
"image_type": "png"
}
```

![](https://next-app-static.s3.ap-southeast-1.amazonaws.com/get-started/remove_background_01.png)

![](https://next-app-static.s3.ap-southeast-1.amazonaws.com/get-started/remove_background_02.png)

Last modified on February 19, 2025
